OpenVDB: EllipseSurfaceMaskOp< RadiusType, XformT, MaskTreeT > Struct Template Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
EllipseSurfaceMaskOp< RadiusType, XformT, MaskTreeT > Struct Template Referencefinal

`#include <openvdb/points/impl/PointRasterizeEllipsoidsSDFImpl.h>`

Inheritance diagram for EllipseSurfaceMaskOp< RadiusType, XformT, MaskTreeT >:

## Public Types
using | BaseT = rasterize_sdf_internal::SurfaceMaskOp<MaskTreeT>
using | PointDataLeaf = points::PointDataTree::LeafNodeType
using | LeafManagerT = tree::LeafManager<const points::PointDataTree>
using | RadiusT = typename RadiusType::ValueType
using | RotationHandleT = points::AttributeHandle<XformT>

## Public Member Functions
| EllipseSurfaceMaskOp (const math::Transform &src, const math::Transform &trg, const RadiusType &rad, const Real halfband, const EllipseIndicies &indices)
| EllipseSurfaceMaskOp (const EllipseSurfaceMaskOp &other, tbb::split)
Vec3i | getMaxDist () const
void | join (EllipseSurfaceMaskOp &other)
void | fillFromStretchAndRotation (const typename LeafManagerT::LeafNodeType &leaf)
| Fill activity by analyzing the axis aligned ellipse bounding boxes on points in this leaf. Slightly slower than just looking at ellipse stretches but produces a more accurate/tighter activation result.
void | operator() (const typename LeafManagerT::LeafRange &range)

## Static Public Attributes
static const Index | DIM = points::PointDataTree::LeafNodeType::DIM

## Member Typedef Documentation

## ◆ BaseT

template<typename RadiusType, typename XformT, typename MaskTreeT>

using BaseT = rasterize_sdf_internal::SurfaceMaskOp<MaskTreeT>

## ◆ LeafManagerT

template<typename RadiusType, typename XformT, typename MaskTreeT>

using LeafManagerT = tree::LeafManager<const points::PointDataTree>

## ◆ PointDataLeaf

template<typename RadiusType, typename XformT, typename MaskTreeT>

using PointDataLeaf = points::PointDataTree::LeafNodeType

## ◆ RadiusT

template<typename RadiusType, typename XformT, typename MaskTreeT>

using RadiusT = typename RadiusType::ValueType

## ◆ RotationHandleT

template<typename RadiusType, typename XformT, typename MaskTreeT>

using RotationHandleT = points::AttributeHandle<XformT>

## Constructor & Destructor Documentation

## ◆ EllipseSurfaceMaskOp() [1/2]

template<typename RadiusType, typename XformT, typename MaskTreeT>

EllipseSurfaceMaskOp | ( | const math::Transform & | src,
|  | const math::Transform & | trg,
|  | const RadiusType & | rad,
|  | const Real | halfband,
|  | const EllipseIndicies & | indices )
| inline

## ◆ EllipseSurfaceMaskOp() [2/2]

template<typename RadiusType, typename XformT, typename MaskTreeT>

EllipseSurfaceMaskOp | ( | const EllipseSurfaceMaskOp< RadiusType, XformT, MaskTreeT > & | other,
|  | tbb::split | )
| inline

## Member Function Documentation

## ◆ fillFromStretchAndRotation()

template<typename RadiusType, typename XformT, typename MaskTreeT>

void fillFromStretchAndRotation | ( | const typename LeafManagerT::LeafNodeType & | leaf | ) |
| inline

Fill activity by analyzing the axis aligned ellipse bounding boxes on points in this leaf. Slightly slower than just looking at ellipse stretches but produces a more accurate/tighter activation result.

## ◆ getMaxDist()

template<typename RadiusType, typename XformT, typename MaskTreeT>

Vec3i getMaxDist | ( |  | ) | const
| inline

## ◆ join()

template<typename RadiusType, typename XformT, typename MaskTreeT>

void join | ( | EllipseSurfaceMaskOp< RadiusType, XformT, MaskTreeT > & | other | ) |
| inline

## ◆ operator()()

template<typename RadiusType, typename XformT, typename MaskTreeT>

void operator() | ( | const typename LeafManagerT::LeafRange & | range | ) |
| inline

## Member Data Documentation

## ◆ DIM

template<typename RadiusType, typename XformT, typename MaskTreeT>

const Index DIM = points::PointDataTree::LeafNodeType::DIM
| static